×

[PR]この広告は3ヶ月以上更新がないため表示されています。
ホームページを更新後24時間以内に表示されなくなります。

P.b.Q Top | まず何を用意するの?
◆実験前の状況
■教授と助手(と通りすがり)
©groupAsk
アル
トビー
親父

■実験の目的
・エフェクトブースターのツールを用意する
・JPTXMaker、JPYMaker、エフェクトブースターのヘルプを起動する
◆エフェクトブースターのツールを用意する
トビー
「それじゃ、エフェクトブースターの実験を始めるぜ!…って思ったけど、まずは何をすればいいんだ?」
アル
「そうだね、まずは…」
親父
「まずはツールを準備しなければ実験は始まらんな。例えば、絵を描くには紙や絵筆や絵の具といったツールがいるだろう?それと同じように、エフェクトブースター関連ファイルを作成するには基本的なツールとしてJPTXMaker、JPYMakerが必要なんだ。まあ、実はテキストエディタがあれば問題ないんだが、あった方が便利だぞ」
トビー
「…なんだ、今の通りすがりのハゲチャビンは?一方的に喋ってどっか行っちまったぞ」
アル
「う、うん…。誰だか知らないけど、ちょうど僕が言いたいことを代弁してくれたね。まずはツールを用意しよう。トビーのCardWirthフォルダを見せてくれるかい」
トビー
「オーケイ」

©groupAsk

アル
「ふむふむ、トビーのCardWirthフォルダにはさっきの人が言っていたJPTXMaker、JPYMakerのexeファイルが入っているね。一応、cwconv.dllファイルのバージョンも確認しておこう」
トビー
「そのなんちゃらってファイルのバージョンが違うとマズイのか?」
アル
「まあね。エフェクトブースターはCardWirthのver1.28から対応していて、ver1.20を使っている場合はエフェクトブースターの機能が使えないんだ。ver1.28だとしても、エフェクトブースターは別枠でバージョンアップしているから、cwconv.dllファイルが最新のものになっていることを確認する必要がある。例えば、エフェクトブースターで使う拡張子のひとつに”jpy1”っていうのがあるけど、エフェクトブースターのバージョンが古いものだと”jpy”っていう拡張子名になってるよ」
トビー
「なんかメンドくさい話になってきたな。ちなみにcwconv.dllファイルが最新バージョンならCardWirth本体がver1.20でもエフェクトブースターは動くのか?」
アル
「おもしろいことを聞くね。そんなことする人いるかどうかは別として動くよ。…話が脱線したけど、cwconv.dllファイルを右クリックしてプロパティを選択し、詳細タブを見てくれるかな」


トビー
「バージョンは…1.5.5.6のようだな」
アル
「うん、バージョンが1.5以上なら大丈夫。JPTXMakerとJPYMakerのexeファイルがなかったり、エフェクトブースターのバージョンが古かったら、groupAsk official fansiteで最新バージョンをダウンロードしてね。不安だったらSPCWが現在配布しているCardWirthフルパックを使えば問題ないよ」
トビー
「最初からこんな調子じゃ、先が思いやられるな」
◆JPTXMaker、JPYMaker、エフェクトブースターのヘルプを起動する
アル
「ツールの用意はできたから、JPTXMakerとJPYMakerを起動してみようか」
トビー
「待ってました!JPTXMaker.exeをダブルクリックするぜ」

©書類の谷

アル
「うん、JPTXMakerが起動したね。JPTXMakerではjptxファイルを編集できる。前に説明した文字描画で使うファイルだね。JPTXMakerはもう閉じていいよ」
トビー
「えっ、それだけ?」
アル
「今回の目的は一通りツールを起動するだけだからね。JPTXMakerについては次回以降詳しく説明するからさ」
トビー
「了解。次はJPYMakerだな」

©書類の谷

アル
JPYMakerはjpy1ファイルを編集することができる。jpy1はエフェクトブースターの最重要ファイルだから、これも後でみっちり教えるよ。でもまあ、通りすがりの人も言ってたけど、jptxを除くファイルはテキストエディタでの説明がメインになると思う」
トビー
「ふーん。とりあえず今回はこんなもんか」
アル
「いや、もうひとつだけ。エフェクトブースターのヘルプを起動してみよう」
トビー
「おっ、ヘルプがあるのか。それを見ればなんでもわかるわけだな」
アル
「そうだなあ…、読んですぐに理解するのは難しい内容だと思うけど、自分でエフェクトブースターを理解しようと思ったら、もうにらめっこするしかないね」
トビー
「妙に不安を煽る言い方だな」
アル
(無視して)「CardWirthフォルダのeditor128.chmをダブルクリック!」

©書類の谷

トビー
「…ん、CardWirthエディタのヘルプと同じような作りになってるんだな」
アル
「そうだね。CardWirthのver1.20とver1.28の違いについても触れているけど、僕等には関係ないから無視しよう。目次の”エフェクトブースター”の下に目当ての説明があるよ。とりあえず最初に言っておくべきことがあるから、文法一覧の下のどれかひとつを選択してみて」
トビー
「わかった。じゃ、JPY1文法ってやつを…って、何だこれは!?」

©書類の谷

アル
「これは多分、エフェクトブースターを使う際に一番見るヘルプだね」
トビー
「プログラミング言語のリファレンスみたいなのが出てきたぞ!どういうことだ!?」
アル
「テキストエディタを使うっていうのはそういうことなんだ。まあ、応用編に入らない限りは使わないから安心してよ」
トビー
「俺は応用編に入ったら実験に参加しないからよろしく」
アル
「エマに言いつけるぞ」
トビー
「お前、性格悪くなったな…」

[mailto:kurt_godel_1906@infoseek.jp]
Copyright © 2006- Quest all rights reserved.